# OgreController.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreSharedPtr.h"`

Go to the source code of this file.

## Classes

class | Ogre::ControllerFunction< T >
| Subclasses of this class are responsible for performing a function on an input value for a Controller. More...
class | Ogre::ControllerValue< T >
| Can either be used as an input or output value. More...
class | Ogre::Controller< T >
| Instances of this class 'control' the value of another object in the system. More...

## Namespaces

namespace | Ogre

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:52